package com.yunfeiyun.agmp.pts.service.impl;

import java.util.List;

import com.yunfeiyun.agmp.pts.domain.PtsLinkVersion;
import com.yunfeiyun.agmp.pts.mapper.PtsLinkVersionMapper;
import com.yunfeiyun.agmp.pts.service.IPtsLinkVersionService;
import com.yunfeiyun.agmp.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 版本 Service业务层处理
 * 
 * @author 杨晓辉
 * @date 2023-06-01
 */
@Service
public class PtsLinkVersionServiceImpl implements IPtsLinkVersionService
{
    @Autowired
    private PtsLinkVersionMapper ptsLinkVersionMapper;

    /**
     * 查询版本
     * 
     * @param versionId 版本主键
     * @return 版本
     */
    @Override
    public PtsLinkVersion selectPtsLinkVersionByVersionId(String versionId)
    {
        return ptsLinkVersionMapper.selectPtsLinkVersionByVersionId(versionId);
    }


    /**
     * 查询版本
     *
     * @param versionId 版本主键
     * @return 版本
     */
    @Override
    public PtsLinkVersion selectPtsLinkVersionMaxByVersionId(String versionId)
    {
        return ptsLinkVersionMapper.selectPtsLinkVersionMaxByVersionId(versionId);
    }



    /**
     * 查询版本列表
     * 
     * @param ptsLinkVersion 版本
     * @return 版本
     */
    @Override
    public List<PtsLinkVersion> selectPtsLinkVersionList(PtsLinkVersion ptsLinkVersion)
    {
        return ptsLinkVersionMapper.selectPtsLinkVersionList(ptsLinkVersion);
    }

    /**
     * 新增版本
     * 
     * @param ptsLinkVersion 版本
     * @return 结果
     */
    @Override
    public int insertPtsLinkVersion(PtsLinkVersion ptsLinkVersion)
    {
        ptsLinkVersion.setVersionId(ptsLinkVersion.getId());
        ptsLinkVersion.setVersionCreatedate(DateUtils.dateTimeNow());
        ptsLinkVersion.setVersionModifieddate(DateUtils.dateTimeNow());
        return ptsLinkVersionMapper.insertPtsLinkVersion(ptsLinkVersion);
    }

    /**
     * 修改版本
     * 
     * @param ptsLinkVersion 版本
     * @return 结果
     */
    @Override
    public int updatePtsLinkVersion(PtsLinkVersion ptsLinkVersion)
    {
        ptsLinkVersion.setVersionModifieddate(DateUtils.dateTimeNow());
        return ptsLinkVersionMapper.updatePtsLinkVersion(ptsLinkVersion);
    }

    /**
     * 批量删除版本
     * 
     * @param versionIds 需要删除的版本主键
     * @return 结果
     */
    @Override
    public int deletePtsLinkVersionByVersionIds(String[] versionIds)
    {
        return ptsLinkVersionMapper.deletePtsLinkVersionByVersionIds(versionIds);
    }

    /**
     * 删除版本信息
     * 
     * @param versionId 版本主键
     * @return 结果
     */
    @Override
    public int deletePtsLinkVersionByVersionId(String versionId)
    {
        return ptsLinkVersionMapper.deletePtsLinkVersionByVersionId(versionId);
    }
}
